Introduction
Top Next

Welcome to Free Download Manager Help
Top Next

Welcome to Free Download Manager Help!

What is Free Download Manager?
Free Download Manager is a light-weight, powerful and easy-to-use application. It is designed for downloading files and whole web sites from any remote server via HTTP, HTTPS and FTP. With Free Download Manager you'll avoid problems related to downloading:
Connection instability. When the downloading process is interrupted you needn't start from the beginning again. Free Download Manager can resume broken download from where it was interrupted saving your time, nerves and money. Some servers don't support download resuming, but Free Download Manager will warn you about it allowing you to decide on downloading.
Connection speed. Free Download Manager splits files into several sections and downloads them simultaneously, allowing you to use any type of connection at the maximum available speed.
In addition, Free Download Manager allows you: to organize downloaded files by their type, placing them in predefined folders; to schedule a list of downloads, allowing you to start and pause downloading files at the set time; to start several downloads at once and set the priority of each one; to adjust traffic usage for browsing the Internet and downloading files at the same time. to download whole web pages or even whole web sites with the HTML Spider help. You can adjust HTML Spider to download the files with specified extensions only.
System requirements:
In order to use FDM, you must have one of the following systems and one of the following browsers installed on your computer:Microsoft Windows 9x/ME/NT/2000/XP Internet Explorer 5.0 and above.

Working with Free Download Manager
Technical Support


FDM Workspace
Previous Top Next

FDM Workspace

As far as Free Download Manager provides several tools for downloading files, its workspace consists of few windows. Please note that FDM menus available depend on which window is open.

· Free Download Manager Windows
· Free Download Manager Menus


FDM Windows

FDM Windows

Free Download Manager workspace consists of several windows which refer to tools FDM provide.

· Downloads Window
· Scheduler Window
· Site Explorer Window
· Site Manager Window
· HTML Spider Window


Downloads Window

Downloads Window

Downloads window looks as follows:
winddownl
The Downloads window displays a list of downloaded files, a list of download groups (such as music, software, video and other) and detailed status description of selected download, named Log and Progress.


Scheduler Window

Scheduler Window

Scheduler window looks as follows:
windsched

Scheduler window displays a list of tasks on the top side and the scheduler log on the bottom.


Site Explorer Window

Site Explorer Window

Site Explorer allows you to explore the folder's content on the remote server. Site Explorer acts like a Windows Explorer.
Site Explorer window looks as follows:
windsiteexpl

Site Explorer displays a list of files on the remote server on the top and an explorer log on the bottom.


Site Manager Window

Site Manager Window

Site Manager window looks as follows:
windsiteman

The Site Manager window consists of list of sites FDM is connected to. You can also add sites manually to change the FDM settings for working with them.


HTML Spider Window

HTML Spider Window

HTML Spider window looks as follows:
windhtmlsp
HTML Spider window displays a list of web pages on the top side, and a tree of web pages on the bottom side.


FDM Menus

FDM Menus

Here you'll find the Free Download Manager menus description.

· Main Window Menus
Context-depending menus of the program window.

· Log Window Context Menu
A special menu for the log tab of the main program window.

· Tray Icon Context Menu
A menu providing quick access to frequently used FDM functions.


Main Window Menus

Main Window Menus

Here's the description of the FDM main window menus. Please note that menus available differ depending on which FDM window is open.

File
View
Downloads
Scheduler
Site Explorer
Site Manager
HTML Spider
Options
Tools

File

Export Options:
· Export > Export settings - Save Free Download Manager settings to a file on the disk (settings will be saved as a *.reg file).
· Export > Export list of downloads - save a list of downloads as a *.txt or *.xml file. In the latter case not only the URLs of the downloads will be exported, but also the group and comment for the downloads.
· Export > Export history of downloads - Save history of downloads as a *.html file.

Import Options:
· Import > Import settings - Open saved FDM settings from a file on the disk.
· Import > Import list of downloads - Open saved list of downloads from a file on the disk. In case you import information from a *.txt file, you will be asked what group you want to place your downloads to; if you import from an *.xml file, downloads will be placed to group specified in the file, or to "Other" if there is no such group.
· Import > Import list of URLs from clipboard - Import information from clipboard. FDM will ask what group you want to place your downloads to.

· Exit - Exit Free Download Manager.

View
· Toolbar - Show/hide toolbar
· Status Bar - Show/hide status bar
· Groups of downloads - Show/hide download groups window
· Download info - Show/hide window with information about downloading (log and progress)
· Log - Show/hide time, date and information in the log window
· Switch to - Switch between Downloads, Scheduler, Site Explorer, HTML Spider, Site Manager
· Skin - Change the skin of the program. To apply changes, you should restart FDM.
· Language - Select program language

Downloads
· Create new download - Add new download to the list.
· Create batch download - Create new batch download.
· Start download - Start selected download.
· Stop download - Stop selected download.
· Start download automatically - After you launch Free Download Manager it will start downloading the file as soon as possible according to network settings.
· Query size - Request about the download size.
· Restart download - Download the file from the very beginning.
· Advanced - Select one of the following actions: Restart download, Create one more section, Stop one section, Move up, Move down, Check file integrity.
- Use the Move up/ Move down options to move selected downloads up or down. The position of the download in the list determines the priority of downloading. The items at the top of the list will be downloaded first.
- The Check file integrity option can be used in the following way: some web sites provide special checksums for files available for download so that users could make sure that the downloaded file has not been damaged. The checksum can be entered in this dialog for FDM to check the file integrity.
· Schedule download - Schedule the start of selected downloads at specified time.
· Delete download - Delete selected downloads.
· Perform virus check - Check the file for viruses.
· Launch file - Launch downloaded file.
· Open folder - Open the folder that contains the downloaded file.
· Extract archive - Extract downloaded ZIP, RAR or ARJ file to the specified location.
· Find - Opens the Find dialog box.
· Download properties - Change properties of the selected downloads.

Scheduler
· Add task - Add new task to the list
· Enable task - Allow start of selected tasks
· Disable task - Forbid start of selected tasks
· Delete task - Delete selected tasks
· Task properties - Change task properties

Site Explorer
· Open containing folder - Open selected folder in the file list.
· Open parent folder - Go to parent folder.
· Stop - Stop the process of downloading.
· Refresh - Refresh list of files.
· Download - Add selected folders and files to the list of download.
· Site Explorer settings - Adjust the Explorer settings.
· Disconnect - Disconnect from the Internet.

Site Manager
· Add site - Add information about new site.
· Delete site - Delete information about selected site.
· Temporary entry - Information about site will be stored in the Site Manager permanently if it is not checked.
· Site properties - Modify the information about selected site.

HTML Spider
· Download web site - Download the whole web site.
· Start downloading - Start downloading.
· Stop downloading - Start downloading in automatic mode.
· Start downloading automatically - Refresh list of files.
· Schedule downloading - Schedule downloading process (date, time, event).
· Delete - Delete download.
· Open containing folder - Open selected folder in the file list.
· Open web page in browser - Open selected web page in browser.
· Page downloading settings - Viewing of web Page downloading settings.

Options
· Download options - Changing of Downloader settings. You can adjust traffic usage modes, monitoring settings here.
· Site Manager options - Adjust settings on saving and storing passwords.
· Optimization master - This master allows you to setup optimal settings of chosen connection type.
· Default download settings - Setup default download properties. Every new download will have these properties by default.
· HTML Spider default settings - Setup default HTML Spider settings. Every new HTML Spider's download will have these settings by default.
· General settings - Change startup and system settings.
· Traffic usage mode - Change current traffic usage mode (light, heavy, medium).

Tools
· Dial-up connection - Make dial-up connection to your Internet provider.
· Hang up when done - Hang up your connection when downloading is complete.
· Exit when done - Close FDM after completing all downloads.
· Shutdown computer when done - Shutdown your computer when downloading is complete.


Log Window Context Menu

Log Window Context Menu

Log Window Context Menu opens on right-click on the Log tab of the main FDM Window. It looks as follows

logmenu

· Clear - Delete all the records in the download log file.
· Copy to clipboard - copy log information to clipboard.
· Auto scroll - Switch on/off automatic scrolling in the Log window.


Tray Icon Context Menu

Tray Icon Context Menu

The tray icon popup menu opens on right-click on the tray icon or on the always-on-top drop-box. It looks as follows:

· Show main window - Show program window.
· Browser monitoring - Switch on/off your browser monitoring.
· Clipboard monitoring - Switch on/off clipboard monitoring.
· Create new download - Create new download and add it to the list.
· Create batch download - Create new batch download.
· Start all downloads - Start all downloads in the list of downloads.
· Stop all downloads - Stop all downloads in the list of downloads.
· Restrain all downloads - Restrain all downloads. The mode is similar to the "Offline" mode. Still, FDM will keep on downloading files with the speed of 1 byte per second making it possible to maintain the connection with the server. The mode is helpful when working with servers that do not support download resuming.
· Last downloaded files - Show the list of last 10 downloaded files. To clear the list, select Last downloaded files > Clear.
· Traffic usage mode - Change current traffic usage mode (light, heavy, medium).
· Dial-up connection - Make dial-up connection to your Internet provider.
· Show downloads info while in progress - Show information regarding active downloads.
· Drop box - Switch on/off the always-on-top drop-box.
· About FDM - Display information about the program.
· Exit - Exit the program.


Working with Free Download Manager

Working with Free Download Manager

FDM is a simple but powerful program for downloading files, HTML pages or whole Web sites.

· Working With Downloader
Downloading files from servers: creating, starting and resuming downloads.

· Working With Schedules
Scheduler is a useful tool that helps you to automatize the downloading process.

· Working With Site Explorer
Explore Web-sites structure.

· Use Site Manager
Shows information on sites you work with.

· Working With HTML Spider
Download HTML pages and whole Web-sites to your hard disk


Working With Downloader

Working With Downloader

Free Downloads Manager provides several useful tools that make the downloading process easy, fast and convenient.

· Add A New Download
How to download files

· Add A Batch Download
Easily download enumerated files

· Add Several Downloads At Once
Download more that one file

· Advanced Properties Dialog
Change advanced properties of a download

· Integration With Browsers
Fast create downloads from browsers

· Start, Stop And Resume Downloads
Restart downloading files

· Operating Download Groups
Use groups to easily maintain downloads

· Preliminary Viewing Archives Contents
Download only the files you need

· Downloading From Several Mirrors
Add mirrors to achieve faster downloading.

· Audio/Video Files Preview
Watch and listen to the downloaded part of the file.


Add A New File Download

Add A New File Download

To add a new download just do the following:

1.Select Create new download in the Downloads menu or press Ctrl+N or simply click the [image] button at the upper left corner of the program window. The Add download dialog box will open.

2.In the dialog box type in the URL of the file.

3.If server requires authentication check the User name and password are required checkbox and specify them in the appropriate text boxes.

4.Select the group you want the download to belong to and specify the folder to save the file.

5.If you want the file to be saved under another name uncheck the Generate a file name automatically checkbox and type in the desired file name. You can also include comment to download properties. This comment will be displayed in Downloads window of the program and help you to identify files easily.

6.Pick out one of the download start options
· Automatically - Free Download Manager will start downloading the file as soon as possible according to network settings.
· Manually - you will start the download yourself.
· Schedule - downloading the file will start according to a specific schedule.

7.If necessary, click the Advanced button to change the advanced properties of the download.

8.Click OK to finish.


Add A Batch Download

Add A Batch Download

Sometimes files on a server are enumerated. If that's the case, you can create a batch download so that you needn't add several downloads for these files. All you need is to specify the way files are enumerated.

1. Go to Downloads | Create batch download. A dialog box will open.

2. Specify URL of the batch download in the following way:
http://site.com/file(*)(*A)(*a).txt.
Please note that the URL should contain an asterisk (*), (*A) or (*a); FDM will replace them with appropriate number or letter.

3. Set the principle the files addresses differ:

Fill in the Set of numbers field that indicates the set of the numbers of the files to download. Use the following syntax:
<set 1>, <set 2>, …
Where the "set" is:
<from>-<to>s<step>w<wildcard bytes count>, or a single number.
From and To numbers indicate the lower and upper numbers of the files to download.
Step indicates the step of the file number increase.
Wildcard bytes indicate required length of numbers, i.e. whether FDM should add zeroes left to the number and how many of them should be added.
"s" and "w" parameters are not required and set to 1 by default.

For example:

For the URL "http://server.org/funny/picture(*).gif" and "Set of numbers" – "1-20s4w2, 30, 33-35" the resulting URL list of files to download will be the following:

http://server.org/funny/picture01.gif
http://server.org/funny/picture05.gif
http://server.org/funny/picture09.gif
http://server.org/funny/picture13.gif
http://server.org/funny/picture17.gif
http://server.org/funny/picture30.gif
http://server.org/funny/picture33.gif
http://server.org/funny/picture35.gif

Filling in the Set of numbers field may be inconvenient, especially if you are using the feature for the first time. The Assign button can be used instead. Click it to go to a dialog where you can easily setup required set of numbers. Once completed it will fill in the Set of numbers field automatically.

4. Click the Results button to view the URLs that FDM will refer to.

5. If necessary check the User name and password are required checkbox and fill in the appropriate text boxes.

6. Select the group you want the download to belong to and specify the folder to save the file to.

7. If you want the files to be saved under other names, uncheck the Generate a file name automatically checkbox and assign the desired file name using the template.
E.g. If the URL is http://site.com/doc(*).txt, the file can be assigned as doc_from_site_com_(*).txt where * is a number template. Then file names instead of doc(*).txt will be doc_from_site_com_(*).txt.

8. Pick out one of the download start options

· Automatically - Free Download Manager will start downloading the file as soon as possible according to network settings.
· Manually - you will start the download yourself.
· Schedule - downloading the file will start according to a specific schedule.

9. If necessary, click the Advanced button to change the advanced properties of the download.

10. Click OK to finish.


Add Several Downloads At Once

Add Several Downloads At Once

While working with Site Explorer you can easily create several downloads at a time. All you need to do is to select the files and/or folders you want to download, right-click them and choose Download from the context menu. The Create Downloads dialog box with list of selected files will open.
In this dialog box:

· Verify the list of files in the upper part of the dialog menu.
· Choose the downloads group you want the files to be added to.
· Specify the folder FDM will save the files to.
· Choose how the download should be started: Automatically , Manually or according to a specific Schedule (click the buttsched button to assign a schedule).

If necessary click the Advanced button to setup advanced properties for the downloads.


Advanced Properties Dialog

Advanced Properties Dialog

To open the Advanced Properties dialog box click the Advanced button in the Add download or Create downloads dialogs.

1. In the Connection tab you can:
· Specify the Pause between the connection attempts , Maximal number of attempts . and Timeout for them.
· For faster downloading FDM splits files into several sections. If needed, you can specify the Minimal size of each section and the Maximal number of sections.
· To achieve better cooperation between FDM and other programs or between several downloads you can Limit traffic for the download. If you need faster download you can check Ignore all restrictions checkbox.

2. In the Protocol tab you can:
· Specify how FDM will identify itself on server;
· Specify whether FDM should work via HTTP 1.1 protocol and use Cookies ;
· Specify whether FDM should use Active or Passive mode for FTP servers. Please note that passive mode is more secure though slower than active.
· Specify whether FDM should retrieve the file date from the server. If you choose not to retrieve the file date, the file will download faster, but you will not be able to set to the downloaded file the same date as the date of the file on the server.
· Specify Transfer mode for downloading: Binary, ASCII or ASCII for files with specific extensions.

3. In the Proxy tab you can:
· Tell FDM to get proxy settings from Internet Explorer, specify them manually or choose not to use proxy at all.
· Enable the option to use rollback on broken connections. This mode makes it possible to avoid getting faulty downloads in case of a broken connection through a proxy server. The size of rollback can be adjusted. The bigger the rollback size, the safer the downloading is, but more traffic will be used in case of a broken connection. The recommended size is 3000 bytes. If files get damaged, increase the rollback size.

4. In the Miscellaneous tab you can adjust settings related to how FDM manages downloaded files:
· Specify what FDM should do if the file already exists on your hard disk (rewrite, rename, resume or stop download)
· Rename at Restart. If this option is not checked, when restarting a download, it will be downloaded to the file with the same name. If the option is checked, the downloaded file will have a different filename (a number will be added to the filename).
· Reserve disk space for downloading file,
· Set to the downloaded file the same date as the date of the file on the server.
· Add extra extension to filename.
· Use hidden attribute for uncompleted download.
· Create an extension if a file doesn't have one. If a file has no extension, this option will enable adding the specified extension to this file.
· Append comment to the file name when done. The option enables adding a comment to a filename; the filename will be hyphenated. E.g. if the filename is file.xls, and the comment is price list, the result filename will be file - price list.xls.
· Launch download when it is completed. The downloaded file will be opened automatically when download is completed.
· Generate description file. The option enables creating a description file for the download. The description file will contain the download URL, the date of the download and the description for it. If there is no description, the description file will not be created. The name of the description file will look as follows: <filename>.dsc.txt. E.g. if the filename is file.txt, the name of the description file will be file.txt.dsc.txt.

You can also specify the program behaviour depending on server: changing of file size or refusing to support restarting downloads.


Integration With Browsers

Integration With Browsers

Free Download Manager can monitor your browser clicks. When you click the link to a file you want to be downloaded, FDM catches the download. It automatically opens the Add A New File Download dialog box.

FDM behaviour differs upon integration with different browsers.
1.In Netscape and Opera browsers FDM will catch clicks on all archive, exe, audio and video files. You can't specify the file extensions to download; you can't use the ALT key too.

2.In Internet Explorer (all versions) Right-clicking a link opens a context menu containing items Download with Free Download Manager , Download all with Free Download Manager and Download selected with Free Download Manager. Menu item Download Web site with Free Download Manager is available in the Web-page context menu. You can

3.In Internet Explorer versions prior to 6.0
· Users can press the CTRL+ALT keys to catch any click.
· The program checks the extension of this file and decides on its addition to the list according to the settings.

Free Download Manager can also monitor the clipboard state. When a web address is being copied to the clipboard, FDM opens the Add A New File Download dialog box. You can adjust browser and clipboard monitoring at the Monitoring tab of the Download Options dialog box.

You can change the browser integration parameters at the Monitoring tab of the Download Options dialog box.


Start, Stop And Resume Downloads

Start, Stop And Resume Downloads

Free Download Manager allows you to download files in several takings.
To start download, select Downloads | Start Download or press Shift+S or simply click the [image] button.
To stop download, select Downloads | Stop Download or press Shift+O or click the [image] button.

To restart download, select Downloads | Restart Download or press Shift+R.

You can also go Downloads | Start Download automatically to make FDM begin the selected download as soon as possible after you launch FDM.

Please note that some servers do not support download resuming. If this is the case, you can force the program not to try resuming. To do this, just check the Don't restart the download if resuming is not supported by server in the Miscellaneous tab of the Default download settings dialog box.

The color of the current download indicates if download resuming is supported:
red - download resuming is not supported;
green - download resuming is supported;
yellow - unknown.


Operating Download Groups

Operating Download Groups

Downloads groups is a feature that helps you to organize downloads for more convenience. The list of download groups is displayed at the left part of Downloads window making it similar to Windows Exploring.

· To create a new group, right-click the group window and choose Create new group from the context menu. The Create new group dialog box will open.
· Here you can specify the group name and output folder on the disk where downloaded files of this group will be placed. You can specify group file extensions to detect automatically the group of download (Detect group automatically checkbox at the New Download tab of the Download Options dialog box must be checked)
· You can start, stop, delete all downloads in the group at once by right clicking on this group and choosing the appropriate menu item.


Preliminary Viewing Archives Contents

Preliminary Viewing Archives Contents

In FDM, you can preview the contents of an archive and download only the necessary files from it.

1.To set up previewing ZIP archives contents as default for all new downloads do the following:
· Go Options | Download options .
· At the New download tab of the Download options dialog box check the Use ZIP preview checkbox.
· Click OK.

2.To set previewing contents for a single download do the following:
· While creating a new file download select Start manually selector in the Add download dialog box.
· After that open the Download properties by double-clicking the file name in the list of downloads and check the Use ZIP preview at its General tab.
· Click OK.

When FDM detects that the downloaded file is a ZIP archive, it opens Confirmation dialog box asking if you want to see its contents. After you click OK the ZIP preview dialog box opens where all files and folders contained in archive are shown. Select the files you want to download and click OK .


Downloading From Several Mirrors

Downloading From Several Mirrors

In FDM, you can download files from several mirrors simultaneously. For this you must do the following:

To add mirrors for a particular do the following:
· While creating a new file download click Mirrors button to the right of the address in the Add A New File Download dialog box. The Mirrors dialog box will open.
· If you want to add mirror URL manually, click Add mirror button and type in the mirrors URL and, if required, login information, in the dialog box that opens.
· If you want FDM to find available mirrors automatically, click Search for mirrors button.
· To check up which mirror is the fastest click Measure mirrors speed button.
· Click OK . FDM will automatically download file from the fastest mirror.

Also you can set up default automatic searching for mirrors and maximal number of mirrors to download from at the Mirrors tab of the Download Options dialog box.


Audio/Video Files Preview

Audio/Video Files Preview

In FDM, you can preview the audio or video files that you download.

All you need to do is the following:
· Select the file you desire to preview from the list of downloads.
· Open "Audio/Video Preview" tab in the lower part of Downloads window and click buttplayprev button.

· You can adjust the volume or switch off the sound reproduction.
· Click buttstopprev button to stop and buttpauseprev to pause previewing file.


Working With Schedules

Working With Schedules

With FDM Scheduler you can create schedules not only for actions FDM performs but for any

· Create Schedules From Downloads Window
Add new schedule for an existing download.

· Create Schedules From Schedules Window
Add new schedule and specifying the action it should perform.


Create Schedules From Downloads Window

Create Schedules From Downloads Window

To create a schedule for an existing download you should do the following:

1.Right-click the desired download then choose Schedule download in the context menu. Please note that you can also go Downloads | Schedule download or click the [image] button at the upper left corner of the program window. The Schedule download dialog box will open.

2.In the Start Time tab of the dialog box specify the task start time and choose the type of schedule you need:
· Once - the download will start on a certain date.
· In certain days - Free Download Manager will start the download on every day of week you specify.
· Every - choose how frequently the program should start downloading the file.
· On event - The following options are available:
- At FDM startup;
- When dialing succeeded;
- When dialing failed;
- When no active downloads;
- When downloading speed is too low;
- When all downloads are in error state;
- When done (When no active downloads + When all downloads are in error state).
Please note that you cannot specify the start time for the On event schedules.

3.In the Advanced tab of the dialog box choose if the confirmation is required to execute the task and how long the program should wait for it. If you want to disable or delete task after execution you can check the corresponding checkboxes.

4.Click OK to finish.

Please note that the functionality of the scheduler tool is much richer than only starting and stopping downloads. See Create Schedules From Schedules Window for more details.


Create Schedules From Scheduler Window

Create Schedules From Scheduler Window

To create a new schedule open the Schedules window.
Select Add task in the Schedules menu or press Ctrl+T or simply click the [image] button at the upper left corner of the program window. The Task properties dialog box will open.

1.In the Task tab you can choose the action the scheduler must perform. The following options are available:
· Launch program - FDM can launch any program on your computer. Type in the program address and filename or click the browsebutt button and browse to it. Specify the program arguments in the Arguments textfield if needed.
· Start download - FDM will start the selected download(s) at the appointed time.
· Stop download - FDM will stop the selected download(s) at the appointed time.
· Start all downloads
· Stop all downloads
· Establish dial-up connection
· Hang up connection
· Change traffic usage mode
· Exit FDM
· Shutdown computer

2.In the Start Time tab of the dialog box specify the task start time and choose the type of schedule you need:
· Once - the download will start on a certain date.
· In certain days - Free Download Manager will start the download on every day of week you specify.
· Every - choose how frequently the program should start downloading the file.
· On event - The following options are available:
- At FDM startup
- When dialing succeeded
- When dialing failed
- When no active downloads
- When downloading speed is too low
- When all downloads are in error state
Please note that you cannot specify start time for the On event schedules.

3.In the Advanced tab of the dialog box choose if the confirmation is required to execute the task and how long the program should wait for it. If you want to disable or delete task after execution you can check the corresponding checkboxes.

4.Click OK to finish.


Working With Site Explorer

Working With Site Explorer

FDM Site Explorer is an easy-to-use tool that helps you to find necessary files on servers. It works just similar to your familiar Windows Explorer.

· How To Work With Site Explorer
View the site structure and easily download the necessary files or whole folders with Site Explorer.

· How To Change The Site Explorer Settings
Adjust the Site Explorer settings to your needs


How To Work With Site Explorer

How To Work With Site Explorer

Site Explorer is a tool that helps you to view the folders structure of a Web site. Its work is in many respects similar to your familiar Windows Explorer.

· All you need to do view the site structure with Site Explorer is to type its URL in Address bar of Site Explorer window and click the gobutt button right to the Address bar. After that the list of folders and files located on the server will be displayed in the lower part of the window.
· To stop retrieving the site structure from server click the [image] button in the upper-left corner of the program window.
· To view the contents of a folder on the server just double-click it. To return to the previous view just click the backbutt button right to Address bar.
· To reload the folder structure click refresh button in upper-left corner of the window or choose Refresh from the context menu of the Site Explorer window.
· To download a file or folder to your hard disk just right-click it and choose Download from the context menu or click the [image] button. You can select more than one file or folder by ctrl-clicking them. The Create Downloads dialog box will open.


How To Change The Site Explorer Settings

How To Change The Site Explorer Settings

To open the Site Explorer Settings dialog box go Site Explorer | Site Explorer Settings or simply select Site Explorer Settings from the context menu of the site structure list.

In this dialog box you can change the following parameters:
· Retrieve size and last modification date of files for HTTP servers.
If this checkbox is checked you'll see the size and last modification date. Please note that this function can slow down the program.
· Use passive mode for FTP servers.
Check or uncheck this checkbox if you have problems connecting to FTP servers.


Working With Site Manager

Working With Site Manager

Site Manager is a tool that helps you operate sites FDM connect to and to adjust options specific for different sites: login, limit of connections, default group etc.
You can adjust any record in the Site Manager to be used for specified protocols only and for all subdomain sites (needs changing Advanced properties of a site).
In the Site Manager window you can see the current number of connection to each server.

· Adding New Site To Site Manager
How to use Site Manager

· Changing Site Settings
Adjust the settings.


Adding New Site To Site Manager

Adding New Site To Site Manager

1. To add a new site to Site Manager select Add site in the Site Manager menu or press Ctrl+I or simply click the [image] button in the upper left corner of the program window. The Add site dialog box will open.

2. In the General tab:
· Specify the site URL.
· If the server requires authorization, check the Login required checkbox and specify the login information. After that you won't need to enter login information every time you create a new download from this server.
· Specify the Maximum number of connections to this server.
· Specify the Default group for the site. Every new download from this server will be automatically assigned to this group.
· Specify whether the program should Use FTP passive mode . You may set Free Download Manager to use the passive mode at downloading from this server via FTP.
· Specify whether FDM should retrieve the file date from the server. If you choose not to retrieve the file date, the file will download faster, but you will not be able to set to the downloaded file the same date as the date of the file on the server.

3. In the Advanced tab you can specify the protocols to which the properties applied. You can also select if the parameters are Valid for subdomains .

Please note that any record in Site Manager can be either Temporary or Permanent .
If the record is Temporary, it could be automatically deleted at any time.
If you want some record to be stored permanently, right-click it and uncheck the Temporary box at the context menu.


Changing Site Settings

Changing Site Settings

To open the Site Properties dialog box select a site in the list and go Site Manager | Site Properties .

1. In the General tab of the dialog box you can adjust all the following parameters.
· Site URL
· Login information
· Maximal number of connections
· Default group for the site
· FTP Passive mode usage.
· Whether FDM should retrieve the file date from the server. If you choose not to retrieve the file date, the file will download faster, but you will not be able to set to the downloaded file the same date as the date of the file on the server.

2. In the Advanced tab you can specify the protocols to which the properties applied. You can also select if the parameters are Valid for subdomains .


Working With HTML Spider

Working With HTML Spider

With Free Download manager you can download HTML pages and even whole Web-sites to your local computer.

· Adding New Downloads
Download Web-pages and whole sites to your hard disk.

· Setting Advanced Properties For HTML Spider
Change the HTML Spider properties.


Adding New Site Downloads

Adding New Site Downloads

To create a Web page or Web site download do the following:
1.Select Download web site in the HTML Spider menu or simply click the [image] button in the upper left corner of the program window. The Download web site dialog box will open.

2.In the dialog box type in the URL of the site or Web-page.

3.If necessary uncheck the Keep the server folder structure checkbox.

4.Specify the desired Depth of downloading . Please note that not only the completeness of downloading depends on this parameter but also the time of downloading.

5.If you're going to download files and pictures only, check the Do not store server pages checkbox.

6. Check the Remove completed downloads from the list option if you want to speed up the download of a large site and reduce memory usage.

7.If server requires authentication check the User name and password are required checkbox and specify them in the appropriate text boxes.

8.Select the group you want the download to belong to and specify the folder to save the file.

9.If you want the file to be saved under another name uncheck the Generate a file name automatically checkbox and type in the desired file name. You can also include comment to download properties. This comment will be displayed in Downloads window of the program and help you to identify files easily.

10.Pick out one of the download start options
· Automatically - Free Download Manager will start downloading the file as soon as possible according to network settings.
· Manually - you will start the download yourself.
· Schedule - downloading the file will start according to a specific schedule.

11.If necessary, click the Advanced button to change the default properties for all new downloads.

12.Click OK to finish.


Setting HTML Spider Task Settings

Setting HTML Spider Task Settings

To change advanced properties go Options | HTML Spider Default settings .

1.In the Web pages tab of the dialog box you can:
· Specify the extensions of the files that should be regarded as HTML pages.
· You can also choose whether to download stylesheets for Web-pages and pages from other sites.
· By default pages are saved with *.htm extensions. If by some reason you consider this inconvenient you can uncheck the corresponding checkbox.
· Depth of downloading, i.e. the maximal quantity of passages from the start page to downloaded pages.
· The Ignore list button lets you specify a list of URLs that should be ignored when downloading a web site, making it possible to download only desired parts of a site.

2.In the Images tab the following options are available:
· Download images (checked by default)
· Download images that link to other sites
· Elimination of images by extension (after checking this checkbox you can choose whether to download images with appointed extensions or not)

3.In the Files tab you can choose whether the program should:
· Download files
· Download files from other sites
· Eliminate files by extension (after checking this checkbox you can choose whether to download files with appointed extensions or not)


Changing The Program Settings

Changing The Program Settings

Different FDM tools has the different settings that are distribute between several dialog boxes.

· Changing Downloader Options
· Using Optimization Master
· Changing General Settings
· Adjusting Default Program Settings
· Changing HTML Spider Settings
· Switching Traffic Usage Mode


Download Options

Download Options

To open Download options dialog box go Options | Download options .

1.In the New Downloads tab you can:
· Determine what group and folder the new file will be placed to. The group and folder can be determined automatically or manually.
· Suggest changing group's default folder. If this option is checked, in case the output folder specified in the Add download dialog does not coincide with the group's default folder, FDM will prompt you to change it.
· Start download automatically. If checked, in the Silent Monitoring mode FDM will start new download automatically when it is considered appropriate, without the user's command.
· Use ZIP preview. Check this option if you want to preview the contents of ZIP archives at the beginning of downloading.

2.In the All Downloads tab you can adjust parameters referring to downloads list:
· Automatically save list of downloads after each specified time period;
· Don't save logs of downloads. If this option is checked, memory usage will be decreased, and FDM will start and shut down faster.
· Automatically delete completed downloads;
· Show downloading progress window for the current download;
· Whether FDM should keep detailed log;
· Show size in bytes only;
· Perform virus check. If you choose this option you must specify the address of antivirus program and its arguments.

3.In the Network tab you can change the following parameters:
· Traffic usage: the traffic usage mode, maximal number of connections running simultaneously, maximal number of connections for one server and maximal number of running downloads.
· Decrease traffic usage on browser activity.

4.In the Mirrors tab you can control how FDM work with mirrors:
· Specify whether it should search for mirror URLs;
· Limit the maximum number of mirrors per download;
· Specify whether FDM should calculate mirrors' speed;
· Select a mirrors search server.

5.In the Monitoring tab you can adjust browser and clipboard monitoring:
· Specify whether FDM should monitor your clipboard;
· Specify browsers FDM should monitor;
· Specify files FDM should skip (by specifying unwanted size or extensions ('*' and '?' masks can be used);
· Get the program to catch clicks only if ALT is pressed;
· Enable the Silent monitoring mode. If checked, FDM will start new download without opening the Create Download dialog. The new download will be created with the default parameters and placed to the default group.

6.In the Notifications tab you can specify if FDM should use tray balloon and play sounds on events.


Optimization Master

Optimization Master

Optimization master sets optimal parameters of downloader depending on how fast your connections to Internet is. To open it go Options | Optimization Master .

· In the Optimization Master dialog box choose the connection type.
· After you click OK, Free Download Manager will automatically adjust its parameters for better performance.


Default Download Settings

Default Download Settings

To change the default setting for the new downloads, go to Options | Default download settings or press Ctrl+E.

See here for more details.


HTML Spider Settings

HTML Spider Settings

To change the HTML Spider settings go Options | HTML Spider default settings .
In the dialog box:

1.In the Web pages tab:
· Here you can specify the extensions of the files that should be regarded as HTML pages.
· You can also choose whether to download stylesheets for Web-pages and pages from other sites.
· By default pages are saved with *.htm extensions. If by some reason you consider this inconvenient you can uncheck the corresponding checkbox.
· Depth of downloading, i.e. the maximal quantity of passages from the start page to downloaded pages.

2. In the Images tab the following options are available:
· Download images (checked by default)
· Download images that link to other sites
· Elimination of images by extension (after checking this checkbox you can choose whether to download images with appointed extensions or not)

3.In the Files tab you can choose whether the program should:
· Download files
· Download files from other sites
· Eliminate files by extension (after checking this checkbox you can choose whether to download files with appointed extensions or not)


General Settings

General Settings

To change the FDM settings go Options | General settings .

1.The following options are available in the General tab of the dialog box:
· Load on startup;
· Start minimized;
· Minimize to tray;
· Close button minimizes window;
· Hide floating windows in full screen mode. Check this option if you want floating windows to be hidden automatically in full screen mode.

2.There are two types of history: downloads history and history of links and folders the user has typed. The History tab deals with the history of links and folders. Here you can specify:
· Whether FDM should save history of links and folders;
· Whether FDM should save history of folders only;
· The number of days for which history should be kept;
· Maximum number of records.
The Downloads History settings button takes you to the dialog box where you can adjust settings for downloads history.

3. The Skins tab lets you change the current skin. To apply changes, you have to restart the program. You can allow skin to use its own icons or bitmaps, so the program will be using only part of a skin.

4. In the Update tab the update URL is specified.

5. The Miscellaneous tab lets you adjust various parameters, mainly dealing with the Tools menu commands.
· Timeouts for confirmations - lets you set the period of time during which FDM should wait for your confirmation to execute a certain command, such as to hang up connection, exit the program, shutdown your PC or launch download. You can set the program:
- not to ask for your confirmation;
- wait for the specified time, then execute the command if the user has not answered;
- wait for your confirmation (FDM will not execute the command until you answer).
· Ask for type of shutdown. If checked, FDM will ask you to choose type of shutdown (Shutdown, Hibernate, Log off, Stand by)
· Disable Tools | "when done" task after execution. When enabled, any Tools | "when done" task will be automatically disabled after execution (in other words, it will be launched only once).


Traffic Usage Mode

Traffic Usage Mode

For better performance and cooperation with other programs FDM provides can work in one of the following traffic usage modes:

· Light - the minimal usage of traffic and the longest download time.
· Medium - the intermediate level of traffic usage and download time.
· Heavy - the maximal usage of traffic and the shortest download time.

To switch the mode you can go Options | Traffic usage mode or simply click one of the buttons in the upper-left corner of the FDM window: traflight for Light, trafmed for Medium and trafheavy for Heavy mode.


Technical Support

Technical Support

We would be greatly glad to help you with any questions or problems you may have using Free Download Manager.

· Support
Free Download Manager user support, bug reporting, etc.

· Free Download Manager update
Updating your Free Download Manager to the newer version.

· Contact Info
How to contact us


User Support

User support

If you have some questions on using Free Download Manager don't hesitate to ask us. We'll be glad to answer any of your questions. We'll do our best to do it within 24 hours.
To write the letter to the support service use Help | Send e-mail to support group menu item.
If you have found some bugs, please, let us know. Please include the following information into your message about a bug:

· URL of download.
· OS you are running.
· Free Download Manager build number, to see it choose the Help->About FDM menu item.
· Please try to describe the sequence of actions resulting in a bug in details.

Also we'll be glad to see your offers on the FDM improvement.
Contact Info


Update

Update

By default, Free Download Manager checks for the new version automatically. To check for the new version manually select Help | Check for update now .
When the new version is detected you'll see the dialog box which shows the information about new version. Also you can choose a way of updating in this dialog box:
· Update by full distributive.
· Update by upgrade distributive.
In both cases the result of updating will be the same, but the first way of updating the program is longer than second one because of the larger size of full distributive.

To setup update settings select the Options | Program general settings menu item. Select the Update page in the appeared dialog box and type in the update URL.
Your update file will be saved to "Free Download Manager" folder and "Update" subfolder.


Contact Info

Contact Info
Previous Top

Technical Support : http://freedownloadmanager.org/support.htm
Free Download Manager Web Site : http://freedownloadmanager.org


About
Previous Top

About

Free Download Manager (FDM) is a full-featured download manager and accelerator provided to you free of charge.

Free Download Manager is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

Free Download Manager uses parts of the 7-Zip program licensed under the GNU LGPL license. The source code can be found at www.7-zip.org.